HAZKInfoProtos.ActiveNodeInfoOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode.ha.proto, class: HAZKInfoProtos, interface: ActiveNodeInfoOrBuilder

Package org.apache.hadoop.hdfs.server.namenode.ha.proto

# Interface HAZKInfoProtos.ActiveNodeInfoOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `HAZKInfoProtos.ActiveNodeInfo`, `HAZKInfoProtos.ActiveNodeInfo.Builder`

Enclosing class:
  HAZKInfoProtos

public static interface HAZKInfoProtos.ActiveNodeInfoOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHostname()`
  `required string hostname = 3;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getHostnameBytes()`
  `required string hostname = 3;`
  `String`
  `getNamenodeId()`
  `required string namenodeId = 2;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getNamenodeIdBytes()`
  `required string namenodeId = 2;`
  `String`
  `getNameserviceId()`
  `required string nameserviceId = 1;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getNameserviceIdBytes()`
  `required string nameserviceId = 1;`
  `int`
  `getPort()`
  `required int32 port = 4;`
  `int`
  `getZkfcPort()`
  `required int32 zkfcPort = 5;`
  `boolean`
  `hasHostname()`
  `required string hostname = 3;`
  `boolean`
  `hasNamenodeId()`
  `required string namenodeId = 2;`
  `boolean`
  `hasNameserviceId()`
  `required string nameserviceId = 1;`
  `boolean`
  `hasPort()`
  `required int32 port = 4;`
  `boolean`
  `hasZkfcPort()`
  `required int32 zkfcPort = 5;`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasNameserviceId

    boolean hasNameserviceId()
    `required string nameserviceId = 1;`
    Returns:
      Whether the nameserviceId field is set.

  - ### getNameserviceId

    String getNameserviceId()
    `required string nameserviceId = 1;`
    Returns:
      The nameserviceId.

  - ### getNameserviceIdBytes

    org.apache.hadoop.thirdparty.protobuf.ByteString getNameserviceIdBytes()
    `required string nameserviceId = 1;`
    Returns:
      The bytes for nameserviceId.

  - ### hasNamenodeId

    boolean hasNamenodeId()
    `required string namenodeId = 2;`
    Returns:
      Whether the namenodeId field is set.

  - ### getNamenodeId

    String getNamenodeId()
    `required string namenodeId = 2;`
    Returns:
      The namenodeId.

  - ### getNamenodeIdBytes

    org.apache.hadoop.thirdparty.protobuf.ByteString getNamenodeIdBytes()
    `required string namenodeId = 2;`
    Returns:
      The bytes for namenodeId.

  - ### hasHostname

    boolean hasHostname()
    `required string hostname = 3;`
    Returns:
      Whether the hostname field is set.

  - ### getHostname

    String getHostname()
    `required string hostname = 3;`
    Returns:
      The hostname.

  - ### getHostnameBytes

    org.apache.hadoop.thirdparty.protobuf.ByteString getHostnameBytes()
    `required string hostname = 3;`
    Returns:
      The bytes for hostname.

  - ### hasPort

    boolean hasPort()
    `required int32 port = 4;`
    Returns:
      Whether the port field is set.

  - ### getPort

    int getPort()
    `required int32 port = 4;`
    Returns:
      The port.

  - ### hasZkfcPort

    boolean hasZkfcPort()
    `required int32 zkfcPort = 5;`
    Returns:
      Whether the zkfcPort field is set.

  - ### getZkfcPort

    int getZkfcPort()
    `required int32 zkfcPort = 5;`
    Returns:
      The zkfcPort.